List Trail run history
Return the 100 most recent runs for one Trail. Each run contains an immutable trigger snapshot and the independent result of every action binding. The result includes scheduled, manual, and skipped runs.
Return the 100 most recent runs for one Trail. Each run contains an immutable trigger snapshot and the independent result of every action binding. The result includes scheduled, manual, and skipped runs.
storyden-session<token>trail_id*stringA unique identifier for this resource.
xidTrail run history retrieved.
application/json- response
runs*array<>curl -X GET 'https://example.com/api/trails/string/runs'{ "runs": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "trail_id": "string", "trigger": { "trail_id": "string", "trail_run_id": "string", "kind": "scheduled", "trigger": { "type": "schedule", "schedule": { "start": "string", "timezone": "string", "rule": { "frequency": "hourly", "interval": 1, "by_weekday": [ "monday" ], "by_month": [ 1 ], "by_month_day": [ -31 ], "count": 1 } } }, "scheduled_for": "2019-08-24T14:15:22Z", "observed_at": "2019-08-24T14:15:22Z", "initiated_by": "string", "payload": null }, "status": "queued", "scheduled_for": "2019-08-24T14:15:22Z", "actions": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "action": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "action": { "type": "robot_run", "robot_ref": "string", "instruction": "string" } }, "status": "queued", "output": null, "target": { "type": "robot_run", "robot_session_id": "string", "output": { "status": "completed", "summary": "string", "attention": { "reason": "string", "message": "string" } } }, "error": "string", "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z" } ], "finished_at": "2019-08-24T14:15:22Z" } ]}Get a Trail run and its independent action results GET
Return one Trail run and its action runs. The response contains the immutable trigger snapshot, aggregate status, action configuration snapshots, outputs, errors, and linked Robot resources.
Create a manual Trail occurrence without moving its schedule POST
Create a new manual run and its action runs immediately. The operation does not change the next scheduled occurrence. An archived Trail cannot start a manual run.